package com.bpcl.lpg.core.service;

import com.bpcl.lpg.core.model.LpgPaymentInfoModel;
import java.text.ParseException;
import com.bpcl.core.custom.exception.BpclInvalidPaymentResponseException;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.bpcl.lpg.facades.data.LpgPaymentQueryData;
import com.bpcl.lpg.core.pojo.BillDeskResponseMsgData;

public interface LpgRefillService
{
    boolean confirmRefillPaymentAndUpdate(final BillDeskResponseMsgData p0, final LpgPaymentQueryData p1) throws JsonProcessingException, BpclInvalidPaymentResponseException, ParseException;
    
    void fetchPaymentStatusAndUpdate(final LpgPaymentInfoModel p0, final Long p1);
    
    void initiateRefund(final LpgPaymentInfoModel p0) throws BpclInvalidPaymentResponseException, JsonProcessingException;
}
